/*--------------------------------------------------------*/
/* (Microsoft Visaul c++ 1.5) Copyright  1995 by          */
/*              Microtek ShangHai Co.                     */
/*           EasyPack / SLD Tutorial system               */
/*              Tutorial Main Module                      */
/*               by hu wei  1995.10                       */
/*                  TMouse.h                              */
/*--------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif
                         
void WINAPI _export SetSysMouse(BOOL mouse);                         
void WINAPI _export SetMouse(BOOL mouse);
void WINAPI _export AddMouseHook (HTASK hTask);
void WINAPI _export RemoveMouseHook ();
void WINAPI _export FilterNcMouse(BOOL ClientMouse,HWND hWnd);
void WINAPI _export FilterLMClk(BOOL bFilter,HWND hWnd);            

void WINAPI _export SetSysKey(BOOL key);            
void WINAPI _export SetKey(BOOL key);
void WINAPI _export FilterTaskChange(BOOL x);
void WINAPI _export SetFullKey(BOOL key);
void WINAPI _export AddKeyBoardHook(HTASK hTask);
void WINAPI _export RemoveKeyBoardHook();
void WINAPI _export SendKeyMsg(int nCode,WPARAM wParam,LPARAM lParam);
void WINAPI _export SendWinMsg(HWND hWnd, UINT uMsg,WPARAM wParam,LPARAM lParam);

BOOL WINAPI _export SetMenuAction(int pos);
BOOL WINAPI _export SetSysFilter(BOOL x/* 1:connect or 0*/);

#ifdef __cplusplus
}
#endif
